<form [formGroup]="form" (ngSubmit)="dialogRef.close(form.value.decision)">
	<h1 mat-dialog-title>{{ data.title | translate }}</h1>

	<div mat-dialog-content>
		<mat-radio-group formControlName="decision">
			<mat-radio-button *ngFor="let option of data.options" [value]="option.value">
				{{ option.name | translate }}
			</mat-radio-button>
		</mat-radio-group>
	</div>

	<div mat-dialog-actions>
		<button mat-button type="button" (click)="dialogRef.close()">{{ 'simple.cancel' | translate }}</button>
		<button mat-raised-button type="submit" color="primary" [disabled]="form.invalid">{{ data.button | translate }}</button>
	</div>
</form>
